Bug 230195 - Provide a way to update the commit message with an updated list of changed files/functions
Summary: Provide a way to update the commit message with an updated list of changed fi...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Enhancement
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-11 15:17 PDT by Hoa Dinh
Modified: 2021-09-14 08:57 PDT (History)
5 users (show)

See Also:


Attachments
Patch (14.16 KB, patch)
2021-09-11 15:59 PDT, Hoa Dinh
no flags Details | Formatted Diff | Diff
Patch (14.18 KB, patch)
2021-09-11 16:18 PDT, Hoa Dinh
no flags Details | Formatted Diff | Diff
Patch (5.66 KB, patch)
2021-09-13 15:49 PDT, Hoa Dinh
no flags Details | Formatted Diff | Diff
Patch (6.39 KB, patch)
2021-09-13 16:24 PDT, Hoa Dinh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hoa Dinh 2021-09-11 15:17:39 PDT
When the author needs to make additional changes to the commit, we generally need to make changes to the commit message with the updated list with changes in files/functions.
Currently, that process is very manual and may involve:
- saving the current commit message un-committing then re-committing and merge the old commit message with the new generated commit message template.
- or writing manually the list of new changes in files/functions.

This process should be a little more automated.

For that, we can make changes in commit-log-editor to allow updates of the commit message with a generated list of changed files/functions.
Since there may already be comment of the author or this list of files/functions, this updated list needs to be appended at the bottom for the author to merge the content.
Comment 1 Hoa Dinh 2021-09-11 15:59:14 PDT
Created attachment 437967 [details]
Patch
Comment 2 Hoa Dinh 2021-09-11 16:18:06 PDT
Created attachment 437969 [details]
Patch
Comment 3 Hoa Dinh 2021-09-13 15:49:29 PDT
Created attachment 438083 [details]
Patch
Comment 4 Jonathan Bedard 2021-09-13 16:14:40 PDT
Comment on attachment 438083 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=438083&action=review

> Tools/Scripts/prepare-ChangeLog:183
> +        print STDERR "  --only-files    Generate only the files changes.\n";

I would change this to say "Exclude the standard changelog header and only include references to files", the existing message doesn't give much extra information.
Comment 5 Hoa Dinh 2021-09-13 16:24:53 PDT
Created attachment 438088 [details]
Patch
Comment 6 Hoa Dinh 2021-09-13 16:26:47 PDT
I added that part:


-        my $date = changeLogDate(ChangeLogTimeZone);
-        print CHANGE_LOG normalizeLineEndings("$date  $name  <$emailAddress>\n\n", $endl);
+        if (!$onlyFiles) {
+            my $date = changeLogDate(ChangeLogTimeZone);
+            print CHANGE_LOG normalizeLineEndings("$date  $name  <$emailAddress>\n\n", $endl);
+        }

And also applied the suggestion for the help message.
Comment 7 Hoa Dinh 2021-09-13 16:52:33 PDT
cq?
Comment 8 Fujii Hironori 2021-09-13 19:27:27 PDT
Do yuou know "Tools/Scripts/webkit-patch prepare --update-changelogs <BUG_ID>"?
Comment 9 EWS 2021-09-14 08:56:58 PDT
Committed r282391 (241652@main): <https://commits.webkit.org/241652@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438088 [details].
Comment 10 Radar WebKit Bug Importer 2021-09-14 08:57:18 PDT
<rdar://problem/83104345>